package webservice.provider;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.xml.bind.annotation.adapters.XmlAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import xmlhelper.DateAdapter;
import ch.ivyteam.ivy.environment.Ivy;

/**
 * 
 */
@SuppressWarnings("all")
@javax.jws.WebService
public class mycustomws extends ch.ivyteam.ivy.webservice.process.restricted.AbstractWebServiceProcess
{

  /**
   * Constructor
   * @param webServiceProcess the web service process this class represents
   * @param processEngineManager the process engine manager to start the ws process
   */
  public mycustomws(ch.ivyteam.ivy.webservice.process.restricted.IWebServiceProcessBeanRuntime webServiceProcessBeanRuntime)
  {
    super(webServiceProcessBeanRuntime);
  }

  /**
   * @param createJavaDataSaved
   * @param createDateTimeSaved
   * @param createDateSaved
   * @return
   * @throws ch.ivyteam.ivy.webservice.process.restricted.WebServiceProcessTechnicalException
   */
  @javax.jws.WebMethod
  @javax.jws.WebResult(name="result")
  public CallResult call(
		  @javax.jws.WebParam(name="createJavaDataSaved") 
		  @XmlJavaTypeAdapter(DateAdapter.class) 
		  java.util.Date createJavaDataSaved, 
             @javax.jws.WebParam(name="createDateTimeSaved") ch.ivyteam.ivy.scripting.objects.DateTime createDateTimeSaved, 
             @javax.jws.WebParam(name="createDateSaved") ch.ivyteam.ivy.scripting.objects.Date createDateSaved)
    throws ch.ivyteam.ivy.webservice.process.restricted.WebServiceProcessTechnicalException
  {
    java.util.Map<String, Object> params = new java.util.HashMap<String, Object>();
    ch.ivyteam.ivy.scripting.objects.Tuple processResult;
    CallResult result = new CallResult();

    params.put("createJavaDataSaved", createJavaDataSaved);
    params.put("createDateTimeSaved", createDateTimeSaved);
    params.put("createDateSaved", createDateSaved);

    processResult = executeProcess("call(java.util.Date,DateTime,Date)", params);

    result.setDateSaved((ch.ivyteam.ivy.scripting.objects.Date)getTupleField(processResult, "dateSaved"));
    result.setDateTimeSave((ch.ivyteam.ivy.scripting.objects.DateTime)getTupleField(processResult, "dateTimeSave"));
    return result;
  }
  

    

  /**
   * Result type for the call method
   */
  public static class CallResult
  {
    private ch.ivyteam.ivy.scripting.objects.Date fDateSaved;

    private ch.ivyteam.ivy.scripting.objects.DateTime fDateTimeSave;

    public ch.ivyteam.ivy.scripting.objects.Date getDateSaved()
    {
      return fDateSaved;
    }

    public void setDateSaved(ch.ivyteam.ivy.scripting.objects.Date dateSaved)
    {
      fDateSaved = dateSaved;
    }

    public ch.ivyteam.ivy.scripting.objects.DateTime getDateTimeSave()
    {
      return fDateTimeSave;
    }

    public void setDateTimeSave(ch.ivyteam.ivy.scripting.objects.DateTime dateTimeSave)
    {
      fDateTimeSave = dateTimeSave;
    }

  }
}